Create a new Group
curl --request POST \
--url https://fulfillment.noyo.com/api/v1/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "ACME Flooring",
"dba_name": "Floors R Us",
"federal_ein": "112222222",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sic_code": "5713"
}
'import requests
url = "https://fulfillment.noyo.com/api/v1/groups"
payload = {
"name": "ACME Flooring",
"dba_name": "Floors R Us",
"federal_ein": "112222222",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sic_code": "5713"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'ACME Flooring',
dba_name: 'Floors R Us',
federal_ein: '112222222',
organization_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sic_code: '5713'
})
};
fetch('https://fulfillment.noyo.com/api/v1/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fulfillment.noyo.com/api/v1/groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'ACME Flooring',
'dba_name' => 'Floors R Us',
'federal_ein' => '112222222',
'organization_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'sic_code' => '5713'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://fulfillment.noyo.com/api/v1/groups"
payload := strings.NewReader("{\n \"name\": \"ACME Flooring\",\n \"dba_name\": \"Floors R Us\",\n \"federal_ein\": \"112222222\",\n \"organization_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sic_code\": \"5713\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://fulfillment.noyo.com/api/v1/groups")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"ACME Flooring\",\n \"dba_name\": \"Floors R Us\",\n \"federal_ein\": \"112222222\",\n \"organization_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sic_code\": \"5713\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://fulfillment.noyo.com/api/v1/groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"ACME Flooring\",\n \"dba_name\": \"Floors R Us\",\n \"federal_ein\": \"112222222\",\n \"organization_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sic_code\": \"5713\"\n}"
response = http.request(request)
puts response.read_body{
"created": 1557512389,
"dba_name": "Test Corp",
"federal_ein": "112222222",
"id": "2613a221-d3c8-4c8a-86d5-e7e885fd1da9",
"modified": 1557512389,
"name": "Test Company",
"organization_id": "d61fa455-adf4-4dc4-8c57-6d779ba9475e",
"sic_code": "7371",
"version": "6b72d72d-cc99-4df6-8152-7183e824c80c"
}Groups
Create Group
Create a new group
POST
/
api
/
v1
/
groups
Create a new Group
curl --request POST \
--url https://fulfillment.noyo.com/api/v1/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "ACME Flooring",
"dba_name": "Floors R Us",
"federal_ein": "112222222",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sic_code": "5713"
}
'import requests
url = "https://fulfillment.noyo.com/api/v1/groups"
payload = {
"name": "ACME Flooring",
"dba_name": "Floors R Us",
"federal_ein": "112222222",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sic_code": "5713"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'ACME Flooring',
dba_name: 'Floors R Us',
federal_ein: '112222222',
organization_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sic_code: '5713'
})
};
fetch('https://fulfillment.noyo.com/api/v1/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fulfillment.noyo.com/api/v1/groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'ACME Flooring',
'dba_name' => 'Floors R Us',
'federal_ein' => '112222222',
'organization_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'sic_code' => '5713'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://fulfillment.noyo.com/api/v1/groups"
payload := strings.NewReader("{\n \"name\": \"ACME Flooring\",\n \"dba_name\": \"Floors R Us\",\n \"federal_ein\": \"112222222\",\n \"organization_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sic_code\": \"5713\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://fulfillment.noyo.com/api/v1/groups")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"ACME Flooring\",\n \"dba_name\": \"Floors R Us\",\n \"federal_ein\": \"112222222\",\n \"organization_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sic_code\": \"5713\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://fulfillment.noyo.com/api/v1/groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"ACME Flooring\",\n \"dba_name\": \"Floors R Us\",\n \"federal_ein\": \"112222222\",\n \"organization_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"sic_code\": \"5713\"\n}"
response = http.request(request)
puts response.read_body{
"created": 1557512389,
"dba_name": "Test Corp",
"federal_ein": "112222222",
"id": "2613a221-d3c8-4c8a-86d5-e7e885fd1da9",
"modified": 1557512389,
"name": "Test Company",
"organization_id": "d61fa455-adf4-4dc4-8c57-6d779ba9475e",
"sic_code": "7371",
"version": "6b72d72d-cc99-4df6-8152-7183e824c80c"
}Authorizations
Body
application/json
Response
201 - application/json
Successful Response - Returns the new Group
Was this page helpful?
